Bug 271480 - KDE crashed when I closed Amarok.
Summary: KDE crashed when I closed Amarok.
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: general (show other bugs)
Version: 4.6.2
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-22 12:58 UTC by Dave Johnson
Modified: 2013-05-28 18:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Johnson 2011-04-22 12:58:39 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic x86_64
Distribution: Ubuntu Natty (development branch)

-- Information about the crash:
- What I was doing when the application crashed: 
Watching an embedded YouTube video on Facebook via Firefox.

The crash does not seem to be reproducible.

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4761cb67a0 (LWP 1416))]

Thread 4 (Thread 0x7f4745a59700 (LWP 1417)):
#0  __pthread_mutex_lock (mutex=0x19f92f8) at pthread_mutex_lock.c:47
#1  0x00007f4755f89461 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4755f8a00a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4755f8a639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f475e7b6446 in QEventDispatcherGlib::processEvents (this=0x19f8880, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f475e78a882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f475e78aabc in QEventLoop::exec (this=0x7f4745a58db0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f475e6a1924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f475e76cc2f in QInotifyFileSystemWatcherEngine::run (this=0x19f8420) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f475e6a4175 in QThreadPrivate::start (arg=0x19f8420) at thread/qthread_unix.cpp:320
#10 0x00007f475688dd8c in start_thread (arg=0x7f4745a59700) at pthread_create.c:304
#11 0x00007f47615b504d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f473999f700 (LWP 1419)):
#0  0x00007f47568903c4 in __pthread_mutex_lock (mutex=0x1aa32e8) at pthread_mutex_lock.c:61
#1  0x00007f4755f890d3 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4755f89f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4755f8a639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f475e7b6446 in QEventDispatcherGlib::processEvents (this=0x1aa32c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f475e78a882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f475e78aabc in QEventLoop::exec (this=0x7f473999edb0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f475e6a1924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f475e76cc2f in QInotifyFileSystemWatcherEngine::run (this=0x1aa2710) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f475e6a4175 in QThreadPrivate::start (arg=0x1aa2710) at thread/qthread_unix.cpp:320
#10 0x00007f475688dd8c in start_thread (arg=0x7f473999f700) at pthread_create.c:304
#11 0x00007f47615b504d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4736f56700 (LWP 1424)):
#0  0x00007f47615a7f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4755f8a104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4755f8a9f2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4738288c44 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f4755fb13e4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f475688dd8c in start_thread (arg=0x7f4736f56700) at pthread_create.c:304
#6  0x00007f47615b504d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4761cb67a0 (LWP 1416)):
[KCrash Handler]
#6  ref (cacheName=...) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QString (cacheName=...) at /usr/include/qt4/QtCore/qstring.h:729
#8  operator+ (cacheName=...) at /usr/include/qt4/QtCore/qstring.h:1024
#9  KSharedDataCache::deleteCache (cacheName=...) at ../../kdecore/util/kshareddatacache.cpp:1515
#10 0x00007f475ef6ed02 in recoverCorruptedCache (this=0x7fffd7f77070, _d=<value optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1085
#11 cautiousLock (this=0x7fffd7f77070, _d=<value optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1122
#12 KSharedDataCache::Private::CacheLocker::CacheLocker (this=0x7fffd7f77070, _d=<value optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1146
#13 0x00007f475ef6b6e0 in KSharedDataCache::find (this=0x7f47403659b0, key=..., destination=0x7fffd7f77120) at ../../kdecore/util/kshareddatacache.cpp:1462
#14 0x00007f475f3f3e43 in KIconLoaderPrivate::findCachedPixmapWithPath (this=0x7f474008d120, key=..., data=..., path=...) at ../../kdeui/icons/kiconloader.cpp:868
#15 0x00007f475f3f6d39 in KIconLoader::loadIcon (this=0x7f4740269240, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1231
#16 0x00007f475f3eec99 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
#17 0x00007f475dbf5dd5 in QIcon::pixmap (this=<value optimized out>, size=<value optimized out>, mode=<value optimized out>, state=<value optimized out>) at image/qicon.cpp:676
#18 0x00007f4761197099 in Plasma::IconWidgetPrivate::decoration (this=0x2ff7ab0, option=<value optimized out>, useHoverEffect=false, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:812
#19 0x00007f476119ce51 in Plasma::IconWidget::paint (this=0x2ff5e00, painter=0x7fffd7f77c40, option=0x151c218, widget=<value optimized out>) at ../../plasma/widgets/iconwidget.cpp:1128
#20 0x00007f4747e4d3e9 in SystemTray::DBusSystemTrayWidget::paint (this=0x2ff5e00, painter=0x7fffd7f77c40, option=0x151c218, widget=<value optimized out>) at ../../../../../plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:189
#21 0x00007f475e13c19d in _q_paintItem (item=<value optimized out>, painter=0x7fffd7f77c40, option=0x151c218, widget=0x0, useWindowOpacity=<value optimized out>, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4314
#22 0x00007f475e13c4b0 in _q_paintIntoCache (pix=0x7fffd7f78170, item=0x2ff5e10, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=0x151c218, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4352
#23 0x00007f475e14fce8 in QGraphicsScenePrivate::drawItemHelper (this=0x151bff0, item=0x2ff5e10, painter=0x7fffd7f7a180, option=0x151c218, widget=<value optimized out>, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4690
#24 0x00007f475e1508ba in QGraphicsScenePrivate::draw (this=0x151bff0, item=0x2ff5e10, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, transformPtr=0x7fffd7f78830, exposedRegion=0x20cc740, widget=0x1b206d0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4962
#25 0x00007f475e151565 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x151bff0, item=0x2ff5e10, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, exposedRegion=0x20cc740, widget=0x1b206d0, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#26 0x00007f475e150730 in QGraphicsScenePrivate::draw (this=0x151bff0, item=0x179c5f0, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, transformPtr=0x7fffd7f78e30, exposedRegion=0x20cc740, widget=0x1b206d0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#27 0x00007f475e151565 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x151bff0, item=0x179c5f0, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, exposedRegion=0x20cc740, widget=0x1b206d0, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#28 0x00007f475e150730 in QGraphicsScenePrivate::draw (this=0x151bff0, item=0x174fa50, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, transformPtr=0x7fffd7f79430, exposedRegion=0x20cc740, widget=0x1b206d0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#29 0x00007f475e151565 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x151bff0, item=0x174fa50, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, exposedRegion=0x20cc740, widget=0x1b206d0, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#30 0x00007f475e150730 in QGraphicsScenePrivate::draw (this=0x151bff0, item=0x1619010, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, transformPtr=0x7fffd7f79a30, exposedRegion=0x20cc740, widget=0x1b206d0, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#31 0x00007f475e151565 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x151bff0, item=0x1619010, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, exposedRegion=0x20cc740, widget=0x1b206d0, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#32 0x00007f475e151d94 in QGraphicsScenePrivate::drawItems (this=0x151bff0, painter=0x7fffd7f7a180, viewTransform=0x7fffd7f79f10, exposedRegion=0x20cc740, widget=0x1b206d0) at graphicsview/qgraphicsscene.cpp:4735
#33 0x00007f475e16ebd2 in QGraphicsView::paintEvent (this=<value optimized out>, event=<value optimized out>) at graphicsview/qgraphicsview.cpp:3469
#34 0x00007f475db9dc6a in QWidget::event (this=0x19ddd10, event=0x7fffd7f7aaa0) at kernel/qwidget.cpp:8405
#35 0x00007f475df4da66 in QFrame::event (this=0x19ddd10, e=0x7fffd7f7aaa0) at widgets/qframe.cpp:557
#36 0x00007f475e16fe8b in QGraphicsView::viewportEvent (this=0x19ddd10, event=0x7fffd7f7aaa0) at graphicsview/qgraphicsview.cpp:2864
#37 0x00007f475e78b627 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1b206d0, event=0x7fffd7f7aaa0) at kernel/qcoreapplication.cpp:846
#38 0x00007f475db4c9b1 in QApplicationPrivate::notify_helper (this=0x151b240, receiver=0x1b206d0, e=0x7fffd7f7aaa0) at kernel/qapplication.cpp:4458
#39 0x00007f475db513aa in QApplication::notify (this=<value optimized out>, receiver=0x1b206d0, e=0x7fffd7f7aaa0) at kernel/qapplication.cpp:4341
#40 0x00007f475f443866 in KApplication::notify (this=0x14edfd0, receiver=0x1b206d0, event=0x7fffd7f7aaa0) at ../../kdeui/kernel/kapplication.cpp:311
#41 0x00007f475e78b49c in QCoreApplication::notifyInternal (this=0x14edfd0, receiver=0x1b206d0, event=0x7fffd7f7aaa0) at kernel/qcoreapplication.cpp:731
#42 0x00007f475db9aabd in sendSpontaneousEvent (this=0x21adfe0, pdev=0x1dd7c88, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x1f9e300) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#43 QWidgetPrivate::drawWidget (this=0x21adfe0, pdev=0x1dd7c88, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x1f9e300) at kernel/qwidget.cpp:5492
#44 0x00007f475db9b6d2 in QWidgetPrivate::paintSiblingsRecursive (this=0x20cc2b0, pdev=0x1dd7c88, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x1f9e300) at kernel/qwidget.cpp:5699
#45 0x00007f475db9a7fc in QWidgetPrivate::drawWidget (this=0x20cc2b0, pdev=0x1dd7c88, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x1f9e300) at kernel/qwidget.cpp:5545
#46 0x00007f475dd5f2fb in QWidgetBackingStore::sync (this=0x1f9e300) at painting/qbackingstore.cpp:1333
#47 0x00007f475db90f50 in QWidgetPrivate::syncBackingStore (this=0x20cc2b0) at kernel/qwidget.cpp:1842
#48 0x00007f475db9e184 in QWidget::event (this=0x19ddd10, event=0x2faf460) at kernel/qwidget.cpp:8552
#49 0x00007f475df4da66 in QFrame::event (this=0x19ddd10, e=0x2faf460) at widgets/qframe.cpp:557
#50 0x00007f475dfcf1fb in QAbstractScrollArea::event (this=0x19ddd10, e=0x2faf460) at widgets/qabstractscrollarea.cpp:996
#51 0x00007f47618a6fe6 in PanelView::event (this=0x19ddd10, event=0x2faf460) at ../../../../plasma/desktop/shell/panelview.cpp:1604
#52 0x00007f475db4c9e4 in QApplicationPrivate::notify_helper (this=0x151b240, receiver=0x19ddd10, e=0x2faf460) at kernel/qapplication.cpp:4462
#53 0x00007f475db513aa in QApplication::notify (this=<value optimized out>, receiver=0x19ddd10, e=0x2faf460) at kernel/qapplication.cpp:4341
#54 0x00007f475f443866 in KApplication::notify (this=0x14edfd0, receiver=0x19ddd10, event=0x2faf460) at ../../kdeui/kernel/kapplication.cpp:311
#55 0x00007f475e78b49c in QCoreApplication::notifyInternal (this=0x14edfd0, receiver=0x19ddd10, event=0x2faf460) at kernel/qcoreapplication.cpp:731
#56 0x00007f475e78ec25 in sendEvent (receiver=0x19ddd10, event_type=77, data=0x149db60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#57 QCoreApplicationPrivate::sendPostedEvents (receiver=0x19ddd10, event_type=77, data=0x149db60) at kernel/qcoreapplication.cpp:1372
#58 0x00007f475e14888a in dispatchPendingUpdateRequests (this=0x151bff0) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#59 QGraphicsScenePrivate::_q_processDirtyItems (this=0x151bff0) at graphicsview/qgraphicsscene.cpp:510
#60 0x00007f475e148caa in QGraphicsScene::qt_metacall (this=0x15ef030, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x221dcc0) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#61 0x00007f47610eab65 in Plasma::Corona::qt_metacall (this=0x15ef030, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x221dcc0) at ./corona.moc:109
#62 0x00007f476189b065 in DesktopCorona::qt_metacall (this=0x15ef030, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x221dcc0) at ./desktopcorona.moc:101
#63 0x00007f475e79f49a in QObject::event (this=0x15ef030, e=<value optimized out>) at kernel/qobject.cpp:1226
#64 0x00007f475e15558b in QGraphicsScene::event (this=0x15ef030, event=0x2fdb730) at graphicsview/qgraphicsscene.cpp:3544
#65 0x00007f475db4c9e4 in QApplicationPrivate::notify_helper (this=0x151b240, receiver=0x15ef030, e=0x2fdb730) at kernel/qapplication.cpp:4462
#66 0x00007f475db513aa in QApplication::notify (this=<value optimized out>, receiver=0x15ef030, e=0x2fdb730) at kernel/qapplication.cpp:4341
#67 0x00007f475f443866 in KApplication::notify (this=0x14edfd0, receiver=0x15ef030, event=0x2fdb730) at ../../kdeui/kernel/kapplication.cpp:311
#68 0x00007f475e78b49c in QCoreApplication::notifyInternal (this=0x14edfd0, receiver=0x15ef030, event=0x2fdb730) at kernel/qcoreapplication.cpp:731
#69 0x00007f475e78ec25 in sendEvent (receiver=0x0, event_type=0, data=0x149db60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#70 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x149db60) at kernel/qcoreapplication.cpp:1372
#71 0x00007f475e7b6253 in sendPostedEvents (s=0x151ecc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#72 postEventSourceDispatch (s=0x151ecc0) at kernel/qeventdispatcher_glib.cpp:277
#73 0x00007f4755f89bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#74 0x00007f4755f8a3a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#75 0x00007f4755f8a639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#76 0x00007f475e7b63ef in QEventDispatcherGlib::processEvents (this=0x149d340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#77 0x00007f475dbf3dfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#78 0x00007f475e78a882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#79 0x00007f475e78aabc in QEventLoop::exec (this=0x7fffd7f7ca40, flags=...) at kernel/qeventloop.cpp:201
#80 0x00007f475e78eecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#81 0x00007f47618a1897 in kdemain (argc=1, argv=0x7fffd7f7ce08) at ../../../../plasma/desktop/shell/main.cpp:118
#82 0x00007f47614edeff in __libc_start_main (main=0x400740 <main(int, char**)>, argc=1, ubp_av=0x7fffd7f7ce08, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffd7f7cdf8) at libc-start.c:226
#83 0x0000000000400669 in _start ()

Possible duplicates by query: bug 266119, bug 264220, bug 262340, bug 261691, bug 258270.

Reported using DrKonqi
Comment 1 Christoph Feck 2011-05-13 01:17:40 UTC
Are you using the BleachBit tool to clean up the system files?
Comment 2 Martin Flöser 2013-05-28 18:39:51 UTC
Thank you for this crash report and helping to improve our software. Unfortunately we were not able to work on this specific report yet. Nowadays the version this crash was reported against is no longer maintained and this makes it very difficult to work on this report as the source code might have changed and the information in the backtrace is no longer valid.

Also it is quite likely that this problem got fixed in a later version. Crash reports are very often reported multiple times.

If you are able to reproduce this crash with the latest version of KDE Plasma (4.10.3) please reopen this report and adjust the version information in the dropdown above and please also include a new backtrace as generated by the crash reporting tool. Please also make sure that the steps on how to reproduce the crash are precise and correct. Thank you!